To: Linux-m68k List <linux-m68k@lists.linux-m68k.org>
Subject: L68K: 2.1.77 compile fixes
From: Tomas Berndtsson <tobe@lysator.liu.se>
Date: 11 Jan 1998 01:39:17 +0100
Sender: owner-linux-m68k@phil.uni-sb.de

I don't know if patches for these compile errors have been posted
already, and I'm not even sure these are correct patches, but at least
it fixed the compiling errors I got.

Sorry if these have been posted already.


Greetings,

Tomas

--
Tomas Berndtsson - tomas@nocrew.org - http://tomas.nocrew.org/


--- linux-2.1.77/arch/m68k/atari/stram.c.orig	Sun Jan 11 01:31:10 1998
+++ linux-2.1.77/arch/m68k/atari/stram.c	Sun Jan 11 01:15:11 1998
@@ -152,8 +152,6 @@
 /* set if kernel is in ST-RAM */
 static int kernel_in_stram;
 
-#endif /* CONFIG_STRAM_SWAP */
-
 typedef struct stram_block {
 	struct stram_block *next;
 	unsigned long start;
@@ -195,6 +193,7 @@
 
 /* The ST-RAM's swap type */
 static int stram_swap_type;
+#endif /* CONFIG_STRAM_SWAP */
 
 /* major and minor device number of the ST-RAM device; for the major, we use
  * the same as Amiga z2ram, which is really similar and impossible on Atari,
@@ -247,7 +246,7 @@
 static int stram_open( struct inode *inode, struct file *filp );
 static int stram_release( struct inode *inode, struct file *filp );
 static void do_z2_request( void );
-#endif
+#endif /* CONFIG_STRAM_SWAP */
 static int get_gfp_order( unsigned long size );
 static void reserve_region( unsigned long addr, unsigned long end );
 static BLOCK *add_region( void *addr, unsigned long size );
--- linux-2.1.77/drivers/scsi/scsi_obsolete.c.orig	Sun Jan 11 01:30:37 1998
+++ linux-2.1.77/drivers/scsi/scsi_obsolete.c	Sun Jan 11 01:25:12 1998
@@ -87,7 +87,7 @@
 static int scsi_reset (Scsi_Cmnd *, unsigned int);
 
 extern void scsi_old_done (Scsi_Cmnd *SCpnt);
-static int update_timeout (Scsi_Cmnd *, int);
+int update_timeout (Scsi_Cmnd *, int);
 extern void scsi_old_times_out (Scsi_Cmnd * SCpnt);
 extern void internal_cmnd (Scsi_Cmnd * SCpnt);
 
@@ -1080,7 +1080,7 @@
  * set the timer, we want to take this value into account.
  */
 
-static int update_timeout(Scsi_Cmnd * SCset, int timeout)
+int update_timeout(Scsi_Cmnd * SCset, int timeout)
 {
   int	rtn;
 
